/**
Theme Name: Droid Industries
Theme Description: A flat and elegant custom theme for droidindustries.com
*/
@mixin prefix($property, $value, $prefixes: ()) {
  @each $prefix in $prefixes {
    #{'-' + $prefix + '-' + $property}: $value;
  }
  // Output standard non-prefixed declaration
  #{$property}: $value;
}
body {
  margin: 0;
  padding: 0;
  font-family: 'Roboto Slab', serif !important;
  font-size: 18px;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  line-height: 1.45;
}
h1 {
  font-size: 2em;
}
h2 {
  font-size: 1em;
}
body {
  #background {
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 0;
    background: linear-gradient(60deg,#CC4949 0,#CC4949 60%,#F75959 60%,#F75959 100%);
  }
  #mobileMenu {
    display: none;
    position: fixed;
    width: 100%;
    height: 50vh;
    z-index: 6;
    text-align: center;
    padding-top: 10vh;
    text-transform: uppercase;
    border-bottom: 5px solid #373a3c;
    a {
      color: #373a3c;
      text-align: center !important;
      text-decoration: none;
      padding-bottom: 15vh;
      z-index: 7;
      &:hover {
        color: #676767;
      }
    }
  }
  .mobileMenuBG {
    background-color: white !important;
    display: inline !important;
  }
  .hide {
    display: none !important;
  }
  .total-1 {
    .card-block:nth-child(2), .card-block:nth-child(3), .card-block:nth-child(4), .card-block:nth-child(5) {
      display: none;
      @media(min-width: 32em) {
        display: block;
        visibility: hidden;
      }
    }
  }
  .total-2 {
    .card-block:nth-child(3), .card-block:nth-child(4), .card-block:nth-child(5) {
      display: none;
      @media(min-width: 32em) {
        display: block;
        visibility: hidden;
      }
    }
  }
  .total-3 {
    .card-block:nth-child(4), .card-block:nth-child(5) {
      display: none;
      @media(min-width: 32em) {
        display: block;
        visibility: hidden;
      }
    }
  }
  .total-4 {
    .card-block:nth-child(5) {
      display: none;
      @media(min-width: 32em) {
        display: block;
        visibility: hidden;
      }
    }
  }
  //Site Content
  .page {
    #logo {
      position: absolute;
      width: 60%;
      height: auto;
      top: 5vh;
      left: 3%;
      padding: 0;
      margin: 0;
      z-index: 6;
      @media(min-width:25em) {
        width: 40%;
        top: 1vh;
      }
      @media(min-width: 32em) {
        width: 25%;
        top: 2vh;
      }
    }
    #logoAlt {
      position: absolute;
      width: 55%;
      height: auto;
      top: 5vh;
      left: 3%;
      padding: 0;
      margin: 0;
      z-index: 6;
      @media(min-width:25em) {
        width: 35%;
        top: 3vh;
      }
      @media(min-width: 32em) {
        width: 20%;
        top: 2vh;
      }
    }
    //Navigation
    .nav {
      padding: 0;
      margin: 0;
      z-index: 5;
      position: absolute;
      padding: 0 5%;
      display: none;
      nav {
        text-align: right;
        a {
          color: white;
          font-size: 0.5em;
          text-transform: lowercase;
          text-decoration: none;
          padding-right: 3%;
          @include prefix(transition, color .25s ease-in-out, webkit ms);
          &:hover {
            color: #676767;
          }
        }
        span {
          a {
            font-weight: 700;
          }
        }
      }
      @media(min-width: 34em) {
        display: inline;
      }
    }
    .nav-mobile {
      position: absolute;
      width: 100%;
      right: 0;
      z-index: 6;
      text-align: right;
      a {
        font-size: 1.5em;
        color: white;
        @include prefix(transition, color .25s ease-in-out, webkit ms);
        &:hover {
          color: #676767;
        }
      }
      #number {
        position: absolute;
        right: 15%;
        top: 1.5vh;
        font-size: 0.75em !important;
      }
      @media(min-width: 34em) {
        display: none;
      }
    }
    .nav-mobile-open {
      a {
        color: #373a3c !important;
      }
    }
    //Home Page CSS
    .home-intro {
      height: 90vh;
      padding: 2vh 3%;
      #browser {
        position: absolute;
        top: 50vh;
        right: 5%;
        width: auto;
        height: 25vh;
        @media (min-width: 25em) {
          top: 40vh;
          height: 40vh;
        }
        @media (min-width: 28em) {
          top: 35vh;
          height: 40vh;
        }
        @media (min-width: 34em) {
          top: 20vh;
          height: 50vh;
        }
        @media (min-width: 62em) {
          top: 25vh;
          height: 64vh;
        }
        @media (min-width: 75em) {
          top: 18vh;
          height: 64vh;
        }
      }
      #home-intro-text {
        margin-top: 15vh;
        @media (min-width: 24em) {
          margin-top: 20vh;
        }
        h1 {
          color: #fff;
          text-transform: uppercase;
          font-weight: 700;
        }
        .lead {
          font-size: 1em;
          padding-bottom: 2vh;
        }
        .follow {
          font-size: 1.9em;
          letter-spacing: 0.01em;
          line-height: 1em;
          padding-bottom: 2vh;
        }
        .brief {
          width: 42%;
          font-size: 0.7em;
          color: #fff;
          @media (min-width: 24) {
            width: 30%;
          }
          @media (min-width: 34em) {
            width: 35%;
            font-size: 0.6em;
          }
        }
      }
    }
    .home-content {
      height: auto;
      padding: 10vh 0;
      background-color: white;
      .col-sm-4 {
        padding-top: 5vh;
      }
      img {
        width: 30%;
        height: auto;
        margin-left: 35%;
        margin-bottom: 2vh;
        @media(min-width: 34em) {
          width: 50%;
          margin-left: 25%;
        }
      }
      h1 {
        font-size: 1.75em;
        text-align: center;
        color: #CC4949;
      }
      h2 {
        width: 80%;
        margin-left: 10%;
        font-size: 0.6em;
        text-align: center;
      }
      a {
        text-decoration: none;
      }
      button {
        width: 50%;
        margin-left: 25%;
        background-color: #CC4949;
        border: 0 solid white;
        &:hover {
          background-color: #F75959;
        }
        @media(max-width:60em) {
          font-size: 0.5em;
        }
      }
    }
    //Page CSS
    .page-content {
      height: 60vh;
      padding: 2vh 4% 2vh 2%;
      background-color: #f4f1f0;
      @media(min-width: 32em) {
        height: 55vh;
      }
      h1 {
        color: #CC4949;
        font-size: 1em;
      }
      h2 {
        font-size: 0.4em;
        text-align: center;
      }
      p {
        font-size: 0.3em;
        text-align: center;
      }
      .card {
        width: 100%;
        border: 0;
        border-radius: 0;
        margin: 0;
        padding: 2vh 10%;
        float: left;
        height: 60vh;
        h1 {
          font-size: 2em;
        }
        h2 {
          font-size: 0.65em;
          text-align: left;
          line-height: 2;
        }
        @media(min-width: 32em) {
          width: 100%;
          height: 50vh !important;
          float: left;
          margin: 1%;
          h1 {
            font-size: 1em;
          }
          h2 {
            font-size: 0.35em;
            text-align: left;
          }
        }
      }
      .envelope-icon-wrapper {
        margin-top: -15vh;
        @media(min-width: 34em) {
          margin-top: -30vh;
        }
        font-size: 1.5em;
        text-align: center;
        .fa-circle {
          color: #F9BF3B;
        }
        .envelope-icon {
          color: #CC4949;
          z-index: 2;
        }
      }
      .mail-wrapper {
        background-color: #f4f1f0;
        margin-top: -5vh;
        height: 75vh;
        padding: 5vh 5% 0;
        line-height: 0.5;
        @media(min-width: 34em) {
          margin-top: -6vh;
        }
        @media(min-width: 48em) {
          margin-top: -8vh;
        }
        @media(min-width: 50em) {
          margin-top: -10vh;
        }
        .contact-description {
          line-height: 0.25;
        }
        h1 {
          font-size: 0.75em;
        }
        p {
          font-size: 0.4em;
          display: inline;
          span {
            color: #CC4949;
            font-weight: 700;
          }
        }
        label {
          font-size: 0.25em;
        }
        #contact {
          .contact-input {
            width: 100%;
            margin: 1vh 0;
            padding: 1vh 1%;
            line-height: 1.5 !important;
            border: 0;
            font-size: 0.4em;
          }
          textarea {
            height: 20vh;
          }
        }
        .ending-message {
          display: block;
          font-size: 0.3em;
        }
      }
      .search-icon-wrapper {
        padding: 0;
        .search-icon {
          font-size: 1.5em;
          text-align: center;
          color: #CC4949;
        }
        @media(min-width: 34em) {
          padding: 0;
          .search-icon {
            font-size: 1.5em;
          }
        }
      }
    }
    .points {
      background-color: #f4f1f0;
      //height: 75vh;
      @media(min-width: 32em) {
        height: 55vh;
      }
      padding: 2vh 2%;
      .card {
        border-radius: 0;
        h1 {
          font-size: 1em;
          text-align: center;
        }
        @media(min-width: 32em) {
          width: 48%;
          height: 45vh !important;
          float: left;
          margin: 1%;
        }
        @media(min-width: 48em) {
          width: 23%;
          height: 45vh !important;
          float: left;
          margin: 1%;
        }
        @media(min-width: 62em) {
          width: 23%;
          height: 50vh !important;
          float: left;
          margin: 1%;
        }
      }
      .trio-contact-card {
        width: 98% !important;
        height: 47% !important;
        h1 {
          font-size: 1em;
          text-align: left;
        }
        p {
          font-size: 0.3em;
        }
        button {
          width: 100%;
        }
      }
      .quad-contact-card {
        width: 64.5% !important;
        height: 47% !important;
        h1 {
          font-size: 1em;
          text-align: left;
        }
        p {
          font-size: 0.3em;
        }
        button {
          width: 100%;
        }
      }
      .card-trio {
        border-radius: 0;
        background-color: #fff;
        margin: 2vh 3% 2vh 1%;
        h1 {
          font-size: 1em;
          text-align: center;
        }
        h2 {
          font-size: 1em;
          padding: 0 10%;
        }
        .emailUs {
          font-size: 0.6em;
        }
        .emailUsLower {
          text-align: left;
        }
        .emailUsBtn {
          font-size: 0.4em;
          padding: 2vh 2%;
          background-color: #F9BF3B;
          @include prefix(transition, background-color .25s ease-in-out, webkit ms);
          &:hover {
            background-color: #F4B350;
          }
        }
        @media(min-width: 32em) {
          width: 31.33%;
          height: 47% !important;
          float: left;
          margin: 1%;
          h1 {
            font-size: 0.75em;
            text-align: center;
          }
          h2 {
            font-size: 0.3em;
          }
        }
      }
      .search-contact {
        @media(min-width: 32em) {
          width: 64.66%;
          h1 {
            text-align: center !important;
          }
          p {
            display: none;
          }
        }
      }
      .optimization-contact {
        @media(min-width: 32em) {
          width: 98%;
          h1 {
            text-align: center;
          }
          p {
            font-size: 0.35em;
            margin: 0;
          }
          button {
            width: 40%;
            margin-left: 30%;
          }
        }
      }
      .analytics-contact {
        @media(min-width: 32em) {
          p {
            display: none;
          }
        }
      }
      .card-five {
        border-radius: 0;
        background-color: #fff;
        h1 {
          font-size: 1.5em;
          text-align: center;
        }
        @media(min-width: 32em) {
          width: 48%;
          height: 45vh !important;
          float: left;
          margin: 1%;
        }
        @media(min-width: 48em) {
          width: 18%;
          height: 45vh !important;
          float: left;
          margin: 1%;
        }
        @media(min-width: 62em) {
          width: 18%;
          height: 50vh !important;
          float: left;
          margin: 1%;
        }
      }
      .point {
        background-color: #fff;
        margin-right: -1%;
      }
      img {
        width: 50%;
        height: auto;
        margin-left: 25%;
      }
      h1 {
        color: #CC4949;
      }
      h2 {
        font-size: 0.4em;
        text-align: center;
      }
      p {
        font-size: 0.5em;
        text-align: center;
      }
      button {
        width: 80%;
        margin-left: 10%;
        background-color: #CC4949;
        border: 0 solid white;
        &:hover {
          background-color: #F75959;
        }
      }
      @media(min-width: 32em) {
        h2 {
          font-size: 0.3em;
        }
      }
    }
    //Contact Page CSS
    .contact-page {
      padding: 2vh 10% 10vh;
      background-color: #fff;
    }
    .home-contact {
      height: auto;
      background-color: #f4f1f0;
      padding: 10vh 5%;
      .contact-card {
        background-color: #fff;
        height: 50vh;
        padding: 10vh 0 15vh;
        .col-xs-3 {
          display: none;
          @media(min-width: 34em) {
            display: inline;
          }
        }
        .col-xs-9 {
          display: none;
          @media(min-width: 34em) {
            display: inline;
          }
        }
        .col-xs-12 {
          @media(min-width: 34em) {
            display: none;
          }
        }
        .envelope-icon-wrapper {
          font-size: 1em;
          text-align: center;
          @media(min-width: 34em) {
            font-size: 2.5em;
          }
          .envelope-icon {
            color: #CC4949;
            z-index: 2;
          }
        }
        .contact-heading {
          text-transform: uppercase;
          font-size: 1em;
          text-align: center;
          @media(min-width: 34em) {
            text-align: left;
          }
        }
        .contact-description {
          font-size: 0.5em;
          text-align: center;
          @media(min-width: 34em) {
            width: 60%;
            text-align: left;
          }
        }
        button {
          width: 50%;
          margin-left: 25%;
          font-size: 0.5em;
          background-color: #CC4949;
          border: 0 solid white;
          &:hover {
            background-color: #F75959;
          }
          @media(min-width:34em) {
            width: auto;
            margin-left: 0;
            font-size: auto;
          }
        }
      }
    }
    .page-contact {
      height: auto;
      background-color: red;
      padding: 10vh 0;
    }
    /* search.html */
    .search-intro {
      height: 40vh;
      padding: 2vh 3%;
      #search-intro-text {
        margin-top: 15vh;
        @media (min-width: 24em) {
          margin-top: 20vh;
        }
        h1 {
          color: #fff;
          font-weight: 700;
        }
        .lead {
          font-size: 1em;
          padding-bottom: 2vh;
        }
        .follow {
          font-size: 1em;
          letter-spacing: 0.01em;
          line-height: 1em;
          padding-bottom: 2vh;
        }
      }
    }
    /* contact.html */
    .contact-intro {
      height: 20vh;
      padding: 2vh 3%;
      @media (min-width: 34em) {
        height: 40vh;
      }
      #contact-intro-text {
        margin-top: 15vh;
        @media (min-width: 24em) {
          margin-top: 20vh;
        }
        h1 {
          color: #fff;
          text-transform: uppercase;
          font-weight: 700;
        }
        .lead {
          font-size: 1em;
          padding-bottom: 2vh;
        }
        .follow {
          font-size: 1.9em;
          letter-spacing: 0.01em;
          line-height: 1em;
          padding-bottom: 2vh;
        }
      }
    }
    .footer {
      height: 10vh;
      background: #fff !important;
      div {
        background: #fff !important;
        display: inline;
        padding: 2vh 0 0 2%;
      }
      #footerLogo {
        width: 50%;
      }
      #slogan {
        float: left;
      }
      a {
        text-align: center;
        color: #373a3c;
        font-size: 0.5em;
        display: inline;
        float: bottom right;
        padding-right: 5px;
      }
      p {
        text-align: center;
        color: #373a3c;
        font-size: 0.5em;
        display: inline;
        float: bottom right;
        padding-right: 5px;
      }
    }
    .pageFooter {
      text-align: center;
      overflow: hidden;
      height: 5vh;
      background: #f4f1f0;
      .contact-footer-div {
        background: #fff !important;
      }
      a {
        color: #CC4949;
      }
      p {
        text-align: center;
        color: #373a3c;
        font-size: 0.3em;
        line-height: 5vh;
      }
    }
  }
}
